using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Penguin {
	public class Enemy {
		public float vely;
		public float x;
		public float y;
		public int type;
		public float speed;
		public float walkDir = 1;
		public bool alive = true;
		public AABB box = new AABB(0, 0, 0, 0);

		public Enemy(float _x, float _y, int _type, float _walkDir) {
			x = _x;
			y = _y;
			walkDir = _walkDir;
			type = _type;
			UpdateBox();
		}

		public void UpdateBox() {
			if (type == 1) {
				speed = 50.0f;
				box.Set(x, y, 60 * 0.5f, 60 * 0.5f);
			}
			else if (type == 2) {
				speed = 0.0f;
				box.Set(x, y, 40 * 0.5f, 30 * 0.5f);
			}
		}
	}
}